Redmine - Defect #5012

Redmine Fails to load stylesheets and Javascript when configured as suburi
2010-03-09 10:12 - Rajeev B

Status: Closed Start date: 2010-03-09
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version: 0.9.3
Description

| have installed redmine-0.9.3 on Windows7 and | started it with webrick as follows:

ruby script/server webrick -e production

It starts fine and | am able to access it with the url

http://localhost:3000/

Now | want to configure redmine as a suburi and want to access it with url

http://localhost:3000/redmine

Following the instruction for suburi configuration | add the following line at the end of environment.rb
Redmine::Utils::relative_url_root = "/redmine"
When | restart webrick and access it with the suburi http:/localhost:3000/redmine

| get a lot of routing errors related to loading javascripts and stylesheets
You can find the attached production.log file.

Please help.

More Configuration details:
Windows7, Ruby 1.8.6, sqlite3, redmine-0.9.3

Gems Installed:
cgi_multipart_eof_fix (2.5.0)
fxri (0.3.6)

fxruby (1.6.16)
gem_plugin (0.2.3)
hpricot (0.6.164)

log4r (1.0.5)

mongrel (1.1.5)
mongrel_service (0.3.4)
ptools (1.1.6)

rack (1.0.1)

rake (0.8.7)
ruby-opengl (0.60.0)
sqlite3-ruby (1.2.5)
test-unit (2.0.1)
win32-api (1.2.1, 1.2.0)
win32-clipboard (0.4.4)
win32-dir (0.3.2)
win32-eventlog (0.5.0)
win32-file (0.5.5)
win32-file-stat (1.3.1)
win32-process (0.5.9)
win32-sapi (0.1.4)
win32-service (0.5.2)
win32-sound (0.4.1)
http://localhost:3000/
http://localhost:3000/redmine
http://localhost:3000/redmine

windows-api (0.2.4)
windows-pr (0.9.3)

History

#1 - 2010-03-09 13:09 - Rajeev B

- Status changed from New to Resolved

The Issue got resolved by starting redmine like this:

ruby script/server webric -e production -P /redmine
instead of what | did earlier like this:

ruby script/server webrick -e production

Now Whats left for me is to see it running over Apache 2.2
#2 - 2010-07-13 00:28 - Holger Just

- Status changed from Resolved to Closed

- Priority changed from Urgent to Normal

- Resolution set to Invalid

#3 - 2011-10-26 17:18 - jibiel jibiel

For those who bumping into this issue with passenger — just create symlink to public directory inside directory itself:

In -s /path/to/app/public/ /path/to/app/public/redmine

Files

production.log 8.56 KB 2010-03-09 Rajeev B

2025-07-04 22


http://www.tcpdf.org

